Show / Hide Table of Contents

# Struct QuestManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct QuestManager

### Fields

| Improve this Doc View Source

#### BeastReputation

##### Declaration

    public byte *BeastReputation

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### DailyQuests

##### Declaration

    public byte *DailyQuests

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### LeveQuests

##### Declaration

    public byte *LeveQuests

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### NormalQuests

##### Declaration

    public byte *NormalQuests

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Quest

##### Declaration

    public QuestManager.QuestListArray Quest

##### Field Value

Type | Description
--- | ---
QuestManager.QuestListArray |

| Improve this Doc View Source

#### TrackedQuests

##### Declaration

    public byte *TrackedQuests

##### Field Value

Type | Description
--- | ---
System.Byte* |

### Methods

| Improve this Doc View Source

#### GetBeastReputationById(UInt32)

##### Declaration

    public BeastReputationWork*GetBeastReputationById(uint beastTribeId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | beastTribeId |

##### Returns

Type | Description
--- | ---
BeastReputationWork* |

| Improve this Doc View Source

#### GetDailyQuestById(UInt16)

##### Declaration

    public DailyQuestWork*GetDailyQuestById(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
DailyQuestWork* |

| Improve this Doc View Source

#### GetLeveQuestById(UInt16)

##### Declaration

    public LeveWork*GetLeveQuestById(ushort leveId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | leveId |

##### Returns

Type | Description
--- | ---
LeveWork* |

| Improve this Doc View Source

#### GetQuestById(UInt16)

##### Declaration

    public QuestWork*GetQuestById(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
QuestWork* |

| Improve this Doc View Source

#### GetQuestSequence(UInt16)

##### Declaration

    public static byte GetQuestSequence(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetQuestSequence(UInt32)

##### Declaration

    public static byte GetQuestSequence(uint questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | questId |

##### Returns

Type | Description
--- | ---
System.Byte |

##### Remarks

This is a helper method to handle trimming uints down to the game-requested ushort.

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static QuestManager*Instance()

##### Returns

Type | Description
--- | ---
QuestManager* |

| Improve this Doc View Source

#### IsDailyQuestCompleted(UInt16)

##### Declaration

    public bool IsDailyQuestCompleted(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsQuestAccepted(UInt16)

##### Declaration

    public bool IsQuestAccepted(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsQuestAccepted(UInt32)

##### Declaration

    public bool IsQuestAccepted(uint questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Remarks

This is a helper method to handle trimming uints down to the game-requested ushort.

| Improve this Doc View Source

#### IsQuestComplete(UInt16)

##### Declaration

    public static bool IsQuestComplete(ushort questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsQuestComplete(UInt32)

##### Declaration

    public static bool IsQuestComplete(uint questId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | questId |

##### Returns

Type | Description
--- | ---
System.Boolean |